<template xmlns:v-slot="http://www.w3.org/1999/XSL/Transform">
    <v-layout align-center justify-center column>

        <v-card color="amber" width="90%">
            <v-card-title primary-title>
                <v-layout align-center justify-center row>
                    <h5 class="ma-1 mr-3">
                        تنظیمات
                    </h5>
                </v-layout>
            </v-card-title>
        </v-card>

        <v-card class="mt-2" width="90%">
            <v-layout class="pa-4" column align-center justify-center>
                <v-progress-circular v-show="this.dataLoading === true" align-center justify-center indeterminate
                                     color="amber"></v-progress-circular>

                <v-layout v-show="this.dataLoading === false" wrap>
                    <v-flex xs12 md6 sm6>
                        <v-switch color="red darken-3" v-model="selectedItem.cost_estimation_status"
                                  :label="` تخمین هزینه سیستمی : ${selectedItem.cost_estimation_status ? 'فعال' : 'غیر فعال'}`"></v-switch>
                    </v-flex>

                    <v-flex xs12 md6 sm6>
                        <v-switch color="red darken-3" v-model="selectedItem.carrier_driver_introduction"
                                  :label="` معرفی راننده تویط باربری : ${selectedItem.carrier_driver_introduction ? 'فعال' : 'غیر فعال'}`"></v-switch>
                    </v-flex>

                    <v-flex xs12 md6 sm6>
                        <v-switch color="red darken-3" v-model="selectedItem.system_status"
                                  :label="` سیستم : ${selectedItem.system_status ? 'فعال' : 'غیر فعال'}`"></v-switch>
                    </v-flex>

                    <v-flex xs12 md6 sm6>
                        <v-switch color="red darken-3" v-model="selectedItem.is_active_registrar_commission"
                                  :label="` پرداخت پورسانت از سمت ثبت کننده : ${selectedItem.is_active_registrar_commission ? 'فعال' : 'غیر فعال'}`"></v-switch>
                    </v-flex>

                    <v-flex xs12 md6 sm6>
                        <v-switch color="red darken-3" v-model="selectedItem.is_active_receiver_commission"
                                  :label="` پرداخت پورسانت از سمت قبول کننده درخواست : ${selectedItem.is_active_receiver_commission ? 'فعال' : 'غیر فعال'}`"></v-switch>
                    </v-flex>

                    <v-flex xs12 md6 sm6>
                        <v-text-field
                                type="number" @change="setCostEstimationValue"
                                v-model="selectedItem.cost_estimation_value"
                                label="میزان تخمین توناژ/کیلومتر"></v-text-field>
                    </v-flex>

                    <v-flex class="pl-1" xs12 md6 sm6>
                        <v-text-field
                                type="number" @change="setCancelableTime" v-model="selectedItem.cargo_cancelable_time"
                                label="زمان لغو درخواست (راننده و باربری)"></v-text-field>
                    </v-flex>

                    <v-flex xs12 md6 sm6>
                        <v-text-field
                                type="number" @change="setConfirmationTime"
                                v-model="selectedItem.driver_confirmation_time"
                                label="زمان صاحب بار برای تایید راننده"></v-text-field>
                    </v-flex>

                    <v-flex class="pl-1"  xs12 md6 sm6>
                        <v-text-field
                            type="number" @change="setCarrierDriverTime"
                            v-model="selectedItem.carrier_driver_introduction"
                            label="زمان صاحب بار برای تایید راننده"></v-text-field>
                    </v-flex>



                    <v-flex class="pl-1"  xs12 md6 sm6>
                        <v-text-field
                            @change="setCargoRegistrationRegulation"
                            v-model="selectedItem.cargo_registration_regulation"
                            label="لینک قوانین صاحبین بار"></v-text-field>
                    </v-flex>
                    <v-flex class="pl-1" xs12 md6 sm6>
                        <v-text-field
                            @change="setDriverRegulation"
                            v-model="selectedItem.driver_regulation"
                            label="لینک قوانین راننده ها"></v-text-field>
                    </v-flex>
                    <v-flex class="pl-1" xs12 md6 sm6>
                        <v-text-field
                            @change="setCarrierRegulation"
                            v-model="selectedItem.carrier_regulation"
                            label="لینک قوانین باربری ها"></v-text-field>
                    </v-flex>



                    <v-flex xs12 md12 sm12>
                        <v-text-field
                            counter=255
                            @change="setDriverConfirmationRegulation"
                            v-model="selectedItem.driver_confirmation_regulation"
                            label="متن تایید راننده در موقع تایید راننده یا باربری از سمت صاحب بار"></v-text-field>
                    </v-flex>

                </v-layout>

                <v-layout align-center justify-center width="220px">
                    <v-btn large @click="editSetting" class="ma-2" color="success" width="220px">
                        ذخیره
                    </v-btn>
                </v-layout>
            </v-layout>
        </v-card>
        <v-dialog
                v-model="WaitDialog"
                dark
                hide-overlay
                persistent
                width="300"
        >
            <v-card
                    color="primary"
                    dark
            >
                <v-card-text>
                    لطفا منتظر بمانید
                    <v-progress-linear
                            indeterminate
                            color="white"
                            class="mb-0"
                    ></v-progress-linear>
                </v-card-text>
            </v-card>
        </v-dialog>
    </v-layout>
</template>
<script>
    import {mapActions, mapMutations, mapState} from "vuex";

    export default {
        name: "setting",
        methods: {
            ...mapMutations({
                setCostEstimationValue: 'setting/setCostEstimationValue',
                setCancelableTime: 'setting/setCancelableTime',
                setConfirmationTime: 'setting/setConfirmationTime',
                setCarrierDriverTime: 'setting/setCarrierDriverTime',
                setDriverConfirmationRegulation: 'setting/setDriverConfirmationRegulation',
                setCargoRegistrationRegulation: 'setting/setCargoRegistrationRegulation',
                setDriverRegulation: 'setting/setDriverRegulation',
                setCarrierRegulation: 'setting/setCarrierRegulation',
            }),
            ...mapActions({
                readData: 'setting/readData',
                editSetting: 'setting/editSetting',
            }),
        },
        computed: {
            ...mapState({
                selectedItem: state => state.setting.selectedItem,
                dataLoading: state => state.setting.dataLoading,
                WaitDialog: state => state.setting.WaitDialog,
            })
        },
        mounted() {
            this.readData();
        },

    }
</script>
<style scoped>
</style>
